Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class AjaxLog

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.ajax4jsf.component.UIAjaxLog
                  org.ajax4jsf.component.html.AjaxLog

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class AjaxLog

extends UIAjaxLog

Component-Type org.ajax4jsf.Log Component-Family org.ajax4jsf.Log Renderer-Type org.ajax4jsf.LogRenderer Encode javaScript to open popup window with client-side Log information.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`AjaxLog()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHeight()` height of pop-up Getter for height
`java.lang.String` | `getHotkey()` Keyboard key for activate ( in combination with CTRL+SHIFT ) log window.
`java.lang.String` | `getLevel()` log level, possible values : FATAL,ERROR,WARN,INFO,DEBUG,ALL.
`java.lang.String` | `getName()` name of pop-up window Getter for name
`java.lang.String` | `getWidth()` width of pop-up.
`boolean` | `isPopup()` Render log as popup-window or as div element in page Getter for popup
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setHeight(java.lang.String __height)` height of pop-up Setter for height
`void` | `setHotkey(java.lang.String __hotkey)` Keyboard key for activate ( in combination with CTRL+SHIFT ) log window.
`void` | `setLevel(java.lang.String __level)` log level, possible values : FATAL,ERROR,WARN,INFO,DEBUG,ALL.
`void` | `setName(java.lang.String __name)` name of pop-up window Setter for name
`void` | `setPopup(boolean __popup)` Render log as popup-window or as div element in page Setter for popup
`void` | `setWidth(java.lang.String __width)` width of pop-up.

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AjaxLog

    public AjaxLog()

  Constructor to init default renderers

Method Detail

### setLevel

    public void setLevel(java.lang.String __level)

  log level, possible values : FATAL,ERROR,WARN,INFO,DEBUG,ALL. Component set level 'ALL' by default. Setter for level

  Specified by:
    `setLevel` in class `UIAjaxLog`
  Parameters:
    `level` - - new value

### getLevel

    public java.lang.String getLevel()

  log level, possible values : FATAL,ERROR,WARN,INFO,DEBUG,ALL. Component set level 'ALL' by default. Getter for level

  Specified by:
    `getLevel` in class `UIAjaxLog`
  Returns:
    level value from local variable or value bindings

### setWidth

    public void setWidth(java.lang.String __width)

  width of pop-up. Setter for width

  Specified by:
    `setWidth` in class `UIAjaxLog`
  Parameters:
    `width` - - new value

### getWidth

    public java.lang.String getWidth()

  width of pop-up. Getter for width

  Specified by:
    `getWidth` in class `UIAjaxLog`
  Returns:
    width value from local variable or value bindings

### setPopup

    public void setPopup(boolean __popup)

  Render log as popup-window or as div element in page Setter for popup

  Specified by:
    `setPopup` in class `UIAjaxLog`
  Parameters:
    `popup` - - new value

### isPopup

    public boolean isPopup()

  Render log as popup-window or as div element in page Getter for popup

  Specified by:
    `isPopup` in class `UIAjaxLog`
  Returns:
    popup value from local variable or value bindings

### setHeight

    public void setHeight(java.lang.String __height)

  height of pop-up Setter for height

  Specified by:
    `setHeight` in class `UIAjaxLog`
  Parameters:
    `height` - - new value

### getHeight

    public java.lang.String getHeight()

  height of pop-up Getter for height

  Specified by:
    `getHeight` in class `UIAjaxLog`
  Returns:
    height value from local variable or value bindings

### setHotkey

    public void setHotkey(java.lang.String __hotkey)

  Keyboard key for activate ( in combination with CTRL+SHIFT ) log window. Setter for hotkey

  Specified by:
    `setHotkey` in class `UIAjaxLog`
  Parameters:
    `hotkey` - - new value

### getHotkey

    public java.lang.String getHotkey()

  Keyboard key for activate ( in combination with CTRL+SHIFT ) log window. Getter for hotkey

  Specified by:
    `getHotkey` in class `UIAjaxLog`
  Returns:
    hotkey value from local variable or value bindings

### setName

    public void setName(java.lang.String __name)

  name of pop-up window Setter for name

  Specified by:
    `setName` in class `UIAjaxLog`
  Parameters:
    `name` - - new value

### getName

    public java.lang.String getName()

  name of pop-up window Getter for name

  Specified by:
    `getName` in class `UIAjaxLog`
  Returns:
    name value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.